﻿body, .popover {
    font-size: .9rem;
}

a {
    cursor: pointer;
}

.tooltip {
    font-size: .75rem;
}

/*header*/

h1,h2,h3,h4,h5,h6{
    font-weight:500 !important;
}

.logo_text {
    float: right;
    font-size: 0.85rem;
    margin-left: 5px;
    line-height: 1.2;
}

.navbar-brand img {
    margin-top: -6px;
}

.btn-nav {
    background: rgba(0, 0, 0, 0);
    border-radius: .15rem;
    border: none;
    color: #eee;
    padding: .15rem .4rem;
    cursor: pointer;
}

    .btn-nav:hover, .btn-nav:focus, .btn-nav:active {
        color: #91cfa8;
        outline: none;
    }

        .btn-nav:hover .notification-dot,
        .btn-nav:focus .notification-dot,
        .btn-nav:focus .notification-dot {
            color: #fff;
        }

    .btn-nav .dropdown:hover {
        cursor: pointer;
    }

nav .form-control-sm {
    height: calc(1.5em + .3rem);
    background: #78b990;
    border: 1px solid #294e35;
    width: 0px;
    color: #fff;
    animation: globalSearch .3s ease forwards;
}

@keyframes globalSearch {
    to {
        width: 320px;
    }
}

.notification-dot {
    position: absolute;
    background: #ff0000;
    border-radius: 100%;
    padding: 0.05rem 0.31rem;
    font-size: 0.6rem;
    top: -3px;
    right: -6px;
}

.user-image {
    float: left;
    width: 30px;
    border-radius: 5px;
    overflow: hidden;
    line-height: 1;
}

.user-name {
    margin-top: 0.4rem;
    float: left;
    font-size: 0.8rem;
    padding-right: 8px;
}

.fa-chevron-down {
    font-size: 0.7rem;
}

.dropdown-menu {
    margin-top: 10px;
    min-width: 9rem;
    padding: .3rem 0rem;
}

.dropdown-item:focus, .dropdown-item:hover {
    background-color: #eefff4;
}

/*breadcrumb*/
.breadcrumb {
    background-color: #fff;
    padding: 0.25rem 1rem;
    font-size: .85em;
    box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);
    position: absolute;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    z-index: 1;
}

.breadcrumb-item a:hover, .breadcrumb-item a:focus {
    text-decoration: none !important;
    color: #a2be94;
}

.navbar {
    background-color: #122242 !important;
    z-index: 1040;
    color: #fff;
    padding: 0.25rem 1rem;
}

.navbar-brand {
    padding-top: 0rem;
    padding-bottom: 0rem;
    font-size: 1rem !important;
}

.invalid-feedback {
    display: block;
    font-size: 90%;
}

.workspace-wrapper {
    display: flex;
    flex-wrap: wrap;
    width: 100vw;
    height: 100vh;
    position: fixed;
}

.sidemenu {
    flex: 0 0 220px;
    max-width: 220px;
    height: 100vh;
    display: block;
    background: #fff;
    z-index: 2;
    border-right: 1px solid #dedede;
    /* box-shadow: 0 16px 38px -12px rgb(0 0 0 / 56%), 0 4px 25px 0 rgb(0 0 0 / 12%), 0 8px 10px -5px rgb(0 0 0 / 20%); */
}

.workspace {
    flex: 1 0 0%;
    background-color: #fafafa;
    width: calc(100vw - 220px);
}

    .workspace .container-fluid {
        padding: 20px 15px;
        height: calc(100vh - 40px);
        overflow-y: auto;
    }

.page-title {
    font-size: 1.25em;
    font-weight: normal;
}

.sidemenu-item {
    margin-bottom: 10px;
}

    .sidemenu-item a {
        display: block !important;
        padding: 0.4rem 0.5rem !important;
        text-decoration: none !important;
        font-size: .9em !important;
        white-space: nowrap !important;
        overflow: hidden !important;
        position: relative !important;
        color: #393939 !important;
        border-radius: 8px !important;
    }

    .sidemenu-item.divider {
        display: block;
        border-bottom: 1px solid rgb(56 171 127);
        padding-bottom: 10px;
    }

    .sidemenu-item .fa-chevron-right {
        font-size: 0.7rem;
        padding-top: 4px;
    }

    .sidemenu-item a:hover {
        color: #122242 !important;
        text-decoration: underline;
    }

    .sidemenu-item a.active {
        background-color: #122242 !important;
        color: #fff !important;
    }

ol.sidemenu-nav, ol.sidesubmenu-nav {
    padding: 0;
    list-style: none;
    margin-bottom: 0;
    padding: 0px 12px;
}

.sidesubmenu-nav li a {
    padding-left: 46px;
}

.submenu-wrapper {
    padding-left: 24px;
    position: relative;
}

    .submenu-wrapper:before {
        content: "";
        height: 100%;
        width: 1.5px;
        background: #38ab7f;
        position: absolute;
        left: 16px;
    }

.submenu-item {
    margin-bottom: 3px;
}

.sidemenu-item a[aria-expanded="true"] .fa-caret-right {
    rotate: 90deg;
}

.sidemenu-logo {
    padding: 1.5rem 1rem;
}

.sidemenu-toggle {
    background-color: transparent;
    border: none;
    width: 18px;
    text-align: center;
    padding: 0;
    height: 18px;
    margin-left: auto;
    color: #eee;
}

    .sidemenu-toggle:hover, .sidemenu-toggle:focus {
        color: var(--theme-secondary);
    }

.translate-up {
    transform: translateY(1rem);
    opacity: 0;
    transition: all .2s ease;
    animation: translate-up .1s ease-out forwards;
}

@keyframes translate-up {
    100% {
        transform: translateY(0rem);
        opacity: 1;
    }
}

.translate-left {
    transform: translateX(1rem);
    opacity: 0;
    transition: all .2s ease;
    animation: translate-left .2s ease-out forwards;
}

@keyframes translate-left {
    100% {
        transform: translateX(0rem);
        opacity: 1;
    }
}

.search-control {
    flex-grow: 1;
    position: relative;
}

    .search-control:before {
        content: "\f002";
        position: absolute;
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        font-style: normal;
        font-variant: normal;
        text-rendering: auto;
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        color: rgba(0, 0, 0, .5);
        left: .5rem;
        font-size: 80%;
        transform: translateY(-50%);
        top: calc(50% - 1px);
    }

.table-overflow {
    height: calc(100vh - 165px);
    overflow: auto;
}

    .table-overflow .table {
        border-collapse: collapse;
        border-spacing: 0;
    }

    .table-overflow table thead tr th {
        background-color: #f8f9fa;
        position: sticky;
        top: 0;
        z-index: 1;
        border-bottom: 2px solid #dee2e6;
        font-size: .85rem;
    }

.translate-up {
    transform: translateY(1rem);
    opacity: 0;
    transition: all .2s ease;
    animation: translate-up .1s ease-out forwards;
}

@keyframes translate-up {
    100% {
        transform: translateY(0rem);
        opacity: 1;
    }
}

.bg-lite-danger {
    background: #ffe6e6;
}

.bg-lite-success {
    background: #e0fff3;
    color: #38ab7f;
    font-weight: 500;
}

.bg-lite-info {
    background: #e5fbff;
    color: #17a2b8;
    font-weight: 500;
}

.shadow-inset-sm {
    box-shadow: inset 0 .1rem .25rem rgba(0, 0, 0, .075) !important;
}

.filter- .form-control {
    border: none;
    border-radius: 4px;
}

    .filter- .form-control:focus {
        box-shadow: none;
    }

.table-no-padding td, .table-no-padding th {
    padding: 0px !important;
    border-top: 0 !important;
}

.table-no-padding .form-control-sm {
    border-radius: 0;
}

.table-editable .form-control {
    transition: all 0.3s ease;
}

.table-editable tr:not(:hover) .form-control:not(:focus) {
    border-color: transparent !important;
    background: transparent !important;
}

    .table-editable tr:not(:hover) .form-control:not(:focus) [class*=fa-caret] {
        display: none !important;
    }


/*dot loader*/

.dot-wrapper {
    display: -webkit-box;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    overflow: hidden;
    flex-direction: column;
}

.dot-flashing {
    position: relative;
    width: 6px;
    height: 6px;
    border-radius: 5px;
    background-color: #c62252;
    color: #c62252;
    animation: dotFlashing .5s infinite linear alternate;
    animation-delay: .25s;
    transition: all .3s ease;
    z-index: 1
}

    .dot-flashing::before, .dot-flashing::after {
        content: '';
        display: inline-block;
        position: absolute;
        top: 0;
        transition: all .3s ease;
    }

    .dot-flashing::before {
        left: -9px;
        width: 6px;
        height: 6px;
        border-radius: 5px;
        background-color: #c62252;
        color: #c62252;
        animation: dotFlashing .5s infinite alternate;
        animation-delay: 0s;
    }

    .dot-flashing::after {
        left: 9px;
        width: 6px;
        height: 6px;
        border-radius: 5px;
        background-color: #c62252;
        color: #c62252;
        animation: dotFlashing .5s infinite alternate;
        animation-delay: .5s;
    }

@keyframes dotFlashing {
    0% {
        background-color: #c62252;
    }

    50%, 100% {
        background-color: rgba(0, 0, 0, 0.1);
    }
}

.dot-text {
    z-index: 1
}

.dot-backdrop {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(3px);
}

/*Custom scrollbar*/

::-webkit-scrollbar {
    height: 6px !important;
    overflow: visible !important;
    width: 6px !important;
}

::-webkit-scrollbar-thumb {
    border-radius: 10rem;
    background: rgb(139, 139, 139) !important;
    background-clip: padding-box !important;
    /*border: 2px solid transparent !important;*/
    border-image: initial !important;
    min-height: 28px !important;
    padding: 100px 0px 0px !important;
    box-shadow: rgba(0, 0, 0, 0.1280392) 1px 1px 0px inset, rgba(0, 0, 0, 0.09667) 0px -1px 0px inset !important;
}

    /* :window-inactive inspired by cssTricks */

    ::-webkit-scrollbar-thumb:hover {
        background: rgb(107, 107, 107) !important;
        background-clip: padding-box !important;
    }

    /* :window-inactive inspired by cssTricks */

    ::-webkit-scrollbar-thumb:window-inactive {
        background: rgb(107, 107, 107) !important;
        background-clip: padding-box !important;
    }

::-webkit-scrollbar-button {
    height: 0px !important;
    width: 0px !important;
}

::-webkit-scrollbar-track {
    background: #efefef;
    border: 1px solid #dfdfdf;
}

::-webkit-scrollbar-corner {
    background: transparent !important;
}

/*Custom scrollbar ends*/

/*Bootstrap Overrides*/

.form-control-xs {
    height: calc(2.25em);
    font-size: 0.8rem;
    padding: 0rem .4rem;
}

.form-control {
    border-radius: 0;
}

.form-check {
    justify-content: start !important;
}

.btn-sm {
    padding: 0.25rem 0.75rem;
    font-size: .8rem;
}

.btn-xs {
    font-size: 0.9em;
    padding: .15rem .5rem;
}

    .btn-xs i {
        font-size: .8em;
    }

.table-striped tbody tr:nth-of-type(odd) {
    background-color: #f8f8f8;
}

.font-weight-semibold {
    font-weight: 600;
}

.btn-week input[type=radio] {
    display: none !important;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #fff;
    background-color: #17a2b8;
    border-color: #17a2b8;
}

.nav-tabs {
    border-bottom: 1px solid #17a2b8;
}

    .nav-tabs .nav-link {
        color: #17a2b8;
        font-weight: 600;
        padding: 0.3rem 1rem;
    }

        .nav-tabs .nav-link:focus, .nav-tabs .nav-link:hover {
            border-color: #17a2b8;
        }

/*Form*/
.userRegistration-wrapper, .form-wrapper {
    padding: 10px 0px;
}

    .userRegistration-wrapper .form-group {
        width: 300px;
        display: inline-block;
        margin: 10px 20px;
    }

.submit {
    margin: 70px 0px;
    margin-right: 70px;
    float: right;
}

:root {
    --box-width: 23%;
}

.overview-grid {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}


.overview-grid {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

    .overview-grid article {
        display: flex;
        flex-direction: column;
        margin-top: 1.3rem;
        padding: 1rem;
        width: 100%;
        background: var(--primary-color);
        border-radius: 6px;
        color: #fff;
    }

@media (min-width: 920px) {
    .overview-grid article {
        width: var(--box-width);
    }
}

.overview-grid article > div {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

.overview-grid .article h6 {
    font-weight: 200;
    border-bottom: 1px solid rgb(255, 248, 248) !important;
}

.overview-grid article .number-display {
    font-size: 1.7rem;
    font-weight: bold;
}

.overview-grid article .balance {
    font-weight: 700;
}


.indent-1 {
    padding-left: 1rem !important;
}

.indent-2 {
    padding-left: 2rem !important;
}

.indent-3 {
    padding-left: 3rem !important;
}

.indent-4 {
    padding-left: 4rem !important;
}

.indent-5 {
    padding-left: 5rem !important;
}

.indent-6 {
    padding-left: 6rem !important;
}

.indent-7 {
    padding-left: 7rem !important;
}

.indent-8 {
    padding-left: 8rem !important;
}

.indent-9 {
    padding-left: 9rem !important;
}

.indent-10 {
    padding-left: 10rem !important;
}

[class*=indent-] {
    position: relative;
}

    [class*=indent-]:before {
        content: '';
        border-top: 2px dashed var(--primary);
        position: absolute;
        top: 50%;
        left: 0.3rem;
        transform: translateY(-50%);
    }

.indent-1:before {
    border-color: #1a74e2 !important;
    width: .25rem
}

.indent-2:before {
    border-color: #fd890e !important;
    width: 1.25rem
}

.indent-3:before {
    border-color: #4a3ef9 !important;
    width: 2.25rem
}

.indent-4:before {
    border-color: #ff2cd2 !important;
    width: 3.25rem
}

.indent-5:before {
    border-color: #4de659 !important;
    width: 4.25rem
}

.indent-6:before {
    border-color: #f56767 !important;
    width: 5.25rem
}

.indent-7:before {
    border-color: #67f5f5 !important;
    width: 6.25rem
}

.indent-8:before {
    border-color: #a171ff !important;
    width: 7.25rem
}

.indent-9:before {
    border-color: #ff5d99 !important;
    width: 8.25rem
}

.indent-10:before {
    border-color: #ff9900 !important;
    width: 9.25rem
}

.font-weight-semibold {
    font-weight: 600;
}

.text-primary {
    color: #03313e !important;
}

label {
    font-weight: 600;
}

.form-control-sm {
    height: calc(1.5em + 0.5rem + 2px);
    padding: 0.25rem 0.5rem;
    font-size: .85rem !important;
}

.card-footer {
    background: #fff;
}

.sub-heading {
    letter-spacing: 1.25px;
    font-size: .9em;
    font-weight: 500;
    color: #6c757d;
    position: relative;
}

    .sub-heading:after {
        content: "";
        position: absolute;
        bottom: -3px;
        left: 0;
        width: 80px;
        height: 1.25px;
        background: #38ab7f;
    }

.input-group-text {
    border-radius: 0 !important;
    padding: 0rem .5rem !important;
}

.input-group-sm > .custom-select, .input-group-sm > .form-control:not(textarea) {
    height: calc(2em) !important;
}

.input-group-sm > .form-control {
    border-radius: 0px !important;
}

/*QBO - connection*/
.waiting i {
    position: relative;
    border-radius: 50%;
    width: 1.75rem;
    height: 1.75rem;
    text-align: center;
    padding: 0.45rem 0;
    background-color: #38ab7f;
    box-shadow: 0 0.05rem 0.25rem rgb(0 0 0 / 20%);
    color: #fff;
}

    .waiting i:before {
        position: absolute;
        content: '';
        width: 40px;
        height: 2px;
        left: 50%;
        top: 50%;
        transform: translateX(-50%) translateY(-50%);
        border-left: 15px solid #f18802;
        border-right: 15px solid #38ab7f;
        box-sizing: content-box;
    }

    .waiting i:after {
        content: "\f00c";
    }

    .waiting i.fa-times:after {
        content: "\f00d";
    }

.popover {
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);
}

.popover-body {
    font-size: .9em;
}

.popover-content {
    padding-top: 0.5rem;
    margin-top: 0.5rem;
    border-top: 1px solid #dee2e6;
}

    .popover-content b {
        color: #6c757d;
    }
